LOCATE.UPDATEDB(8)

NAME
locate.updatedb - update locate database

SYNOPSIS
locate.updatedb [--fcodes=dbfile] [--filesystems='type ...'] [--prunepaths='dir ...'] [--searchpaths='dir ...'] [--tmpdir=dir]

DESCRIPTION
locate.updatedb updates the database used by locate(1). It is typically run once a week by the /etc/weekly script.

The contents of the newly built database can be controlled by the /etc/locate.rc file as well as the command line arguments.

The options are as follows:

--fcodes
    Output to an alternate database file instead of the default /var/db/locate.database. If ‘-’ is specified in place of the file name, send the database to the standard output.

--filesystems
    A list of filesystem types to be traversed by find(1).

--prunepaths
    Sets the list of parent directories that should not go in the database.

--searchpaths
    Sets the list of directories to be put in the database.

--tmpdir
    Sets the directory temporary files are stored in.

FILES
/etc/locate.rc
    configuration file
/var/db/locate.database
    default database

SEE ALSO
find(1), locate(1), weekly(8) Woods, James A., 1983, Finding Files Fast, ;login, 8:1, pp. 8-10.